TTransformCreatorPlugin< Transform > Class Template Referenceabstract
Image Registration and Transformation

Factory class that is used to create the transformation creator. More...

`#include <mia/template/transformfactory.hh>`

Inheritance diagram for TTransformCreatorPlugin< Transform >:
[legend]
Collaboration diagram for TTransformCreatorPlugin< Transform >:
[legend]

## Public Types

typedef Transform::InterpolatorFactory | InterpolatorFactory
| the type of the interpolation factory used by the transformation
typedef TFactory< TTransformCreator< Transform > >::Product | Product
Public Types inherited from TFactory< TTransformCreator< Transform > >
typedef TTransformCreator< Transform > | Product
| typedef to describe the product of the factory
typedef std::shared_ptr< TTransformCreator< Transform > > | SharedProduct
| typedef for the shared version of the product
typedef std::unique_ptr< TTransformCreator< Transform > > | UniqueProduct
| typedef for the unique version of the product
Public Types inherited from TPlugin< TTransformCreator< Transform >::plugin_data, TTransformCreator< Transform >::plugin_type >
typedef TTransformCreator< Transform >::plugin_data | PlugData
| Typedef for the data type descriptor handled by this plug-in.
typedef TTransformCreator< Transform >::plugin_type | PlugType
| Typedef for the plugin type descriptor handled by this plug-in.

## Public Member Functions

| TTransformCreatorPlugin (const char *const name)
Public Member Functions inherited from TFactory< TTransformCreator< Transform > >
virtual Product * | create (const CParsedOptions &options, char const *params) __attribute__((warn_unused_result))
| TFactory (char const *const name)
Public Member Functions inherited from TPlugin< TTransformCreator< Transform >::plugin_data, TTransformCreator< Transform >::plugin_type >
virtual void | get_help (std::ostream &os) const
const std::string | get_long_name () const
| TPlugin (const char *name)
Public Member Functions inherited from CPluginBase
void | add_dependend_handlers (HandlerHelpMap &handler_map)
void | add_property (const char *property)
void | append_interface (CPluginBase *plugin)
| CPluginBase (const char *name)
PPluginModule | get_module () const
unsigned | get_priority () const
bool | has_property (const char *property) const
CPluginBase * | next_interface ()
void | set_module (const PPluginModule &module)
void | set_priority (unsigned p)
virtual | ~CPluginBase ()
Public Member Functions inherited from CParamTranslator
void | add_parameter (const std::string &name, CParameter *param)
void | check_parameters ()
| CParamTranslator (const char *name)
virtual void | do_get_help_xml (CXMLElement &root) const
const std::string | get_descr () const
void | get_help (std::ostream &os) const
void | get_help_xml (CXMLElement &root) const
const char * | get_name () const
void | get_short_help (std::ostream &os) const
void | set_parameters (const CParsedOptions &options)
virtual | ~CParamTranslator ()

## Additional Inherited Members

Static Public Member Functions inherited from TPlugin< TTransformCreator< Transform >::plugin_data, TTransformCreator< Transform >::plugin_type >
static const char * | get_data_path_part ()
static const char * | get_type_path_part ()
Protected Member Functions inherited from CParamTranslator
CParamList & | get_parameters ()

## Detailed Description

template<typename Transform>
class TTransformCreatorPlugin< Transform >

Factory class that is used to create the transformation creator.

Template Parameters

  Transform | the type of the transformation to be created

Definition at line 99 of file template/transformfactory.hh.

## Member Typedef Documentation

## InterpolatorFactory

template<typename Transform>

typedef Transform::InterpolatorFactory TTransformCreatorPlugin< Transform >::InterpolatorFactory

the type of the interpolation factory used by the transformation

Definition at line 105 of file template/transformfactory.hh.

## Product

template<typename Transform>

typedef TFactory<TTransformCreator<Transform>>::Product TTransformCreatorPlugin< Transform >::Product

Definition at line 102 of file template/transformfactory.hh.

## Constructor & Destructor Documentation

## TTransformCreatorPlugin()

template<typename Transform>

TTransformCreatorPlugin< Transform >::TTransformCreatorPlugin | ( | const char *const | name | ) |

Plug-in constructor

Parameters

  name | name of the plug-in

The documentation for this class was generated from the following file:

- template/transformfactory.hh